Bug 2002504 - When the openshift-cluster-storage-operator is degraded because of "VSphereProblemDetectorController_SyncError", the insights operator is not sending the logs from all pods.
Summary: When the openshift-cluster-storage-operator is degraded because of "VSpherePr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Insights Operator
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.10.0
Assignee: Tomas Remes
QA Contact: Dmitry Misharov
URL:
Whiteboard:
Depends On:
Blocks: 2026644
TreeView+ depends on / blocked
 
Reported: 2021-09-09 03:12 UTC by hyagi
Modified: 2022-03-10 16:09 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2026644 (view as bug list)
Environment:
Last Closed: 2022-03-10 16:08:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift insights-operator pull 516 0 None open Bug 2002504: Gather all the container logs from related namespaces of degraded clu… 2021-10-11 12:43:26 UTC
Red Hat Product Errata RHSA-2022:0056 0 None None None 2022-03-10 16:09:24 UTC

Comment 7 Dmitry Misharov 2021-10-25 12:21:48 UTC
Verified on 4.10.0-0.nightly-2021-10-23-225921.
 
Verification steps:

1. Disable Cluster Version Operator.
2. Degrade Cluster Monitoring Operator:
Edit "config.yaml" key value in "cluster-monitoring-config" config map of "openshift-monitoring" namespace.
Put any non-valid yaml there.
3. Wait until Cluster Monitoring Operator will be degraded:
oc get co
4. Restart Insights Operator
5. Wait until a new archive will be created.
6. Download the archive.

config/pod/openshift-monitoring/logs contains logs for all containers of "openshift-monitoring" namespace.

Comment 10 errata-xmlrpc 2022-03-10 16:08:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056


Note You need to log in before you can comment on or make changes to this bug.